View Bug Details

IDProjectCategoryView StatusLast Update
0001965DCP-o-maticBugspublic2021-04-19 17:42
Reporteroverlookmotel Assigned Tocarl  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
PlatformMacOSOS XOS Version10.14
Product Version2.14.37 
Summary0001965: Failure to open DCP
Description

I've encountered a DCP which DCP-o-matic cannot open.

The DCP is SMPTE with soft subtitles. dcp_inspect finds no problems with it, but DCP-o-matic fails to open the DCP with error:

Error in job: Could not load image for subtitle urn:uuid:XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX (REDACTED)

Same error in both 2.14.38 and 2.15.139.

I cannot find any reference to the UUID DCP-o-matic mentions in the CPL or PKL, though perhaps it's the UUID of a specific subtitle which is hidden in the subtitle MXF file somewhere.

I'm not sure if cause is that the original DCP is faulty or a bug in DCP-o-matic.

Steps To Reproduce

Carl, I'll email you a download link to the DCP.

TagsNo tags attached.
Branch
Estimated weeks required
Estimated work required

Activities

Carsten

2021-04-11 15:09

manager   ~0004235

Can you tell us which application created this DCP?

overlookmotel

2021-04-11 17:14

reporter   ~0004236

No idea unfortunately. The "Issuer" and "Creator" fields are just the name of the film's production company, and the DCP is not signed or encrypted, so no certificates to reveal what software made it either.

From the file naming, it doesn't look like it was made with DCP-o-matic, and it doesn't have the usual comments in the XML files which EasyDCP includes, so can probably rule those out, but beyond that, I don't know.

Carsten

2021-04-14 10:33

manager   ~0004237

Can you try to create a new project in DCP-o-matic and import just the subtitle MXF file?

carl

2021-04-14 11:45

administrator   ~0004238

Last edited: 2021-04-14 11:54

I think this is a bug in how DoM refers to the PNG files in subtitles that are specified as images rather than text.

carl

2021-04-15 15:24

administrator   ~0004239

This may be fixed by 2.15.140, if you're in a position to try that - if so, I'll do the same thing in 2.14.x.

overlookmotel

2021-04-19 17:12

reporter   ~0004246

Pleased to report it is indeed fixed in 2.15.40 - it can open the DCP, and renders the subs correctly (as far as I can see). Thanks Carl.

FYI Carsten: DOM 2.14.38 was also unable to open the subtitle MXF file by itself. I should have thought to check that before.

overlookmotel

2021-04-19 17:13

reporter   ~0004247

Sorry I meant 2.15.140 not .40.

carl

2021-04-19 17:42

administrator   ~0004250

Thanks. As with 1966 this should also now be fixed in 2.14.50.

Bug History

Date Modified Username Field Change
2021-04-10 14:59 overlookmotel New Bug
2021-04-11 15:09 Carsten Note Added: 0004235
2021-04-11 17:14 overlookmotel Note Added: 0004236
2021-04-14 10:33 Carsten Note Added: 0004237
2021-04-14 11:45 carl Note Added: 0004238
2021-04-14 11:54 carl Note Edited: 0004238
2021-04-15 15:24 carl Assigned To => carl
2021-04-15 15:24 carl Status new => feedback
2021-04-15 15:24 carl Note Added: 0004239
2021-04-19 17:12 overlookmotel Note Added: 0004246
2021-04-19 17:12 overlookmotel Status feedback => assigned
2021-04-19 17:13 overlookmotel Note Added: 0004247
2021-04-19 17:42 carl Note Added: 0004250